blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
8c4a360ac47df0cdf1f0a6ce2439098d116d4502
Shell
tixel/developer-exercises
/run-all-tests-added-to-script.sh
UTF-8
3,242
2.59375
3
[]
no_license
#!/bin/bash ## basic exercises # 0.entries cd basic/0.entries CARGO_TARGET_DIR=target cargo build --release --target wasm32-unknown-unknown hc dna pack workdir cd tests npm install && OUTPUT=$(npm test) FAILED="$(echo "$OUTPUT" | grep -o '# fail ')" # expected that zero tests fail cd ../../.. #back to base folder ...
true
8b5462b2b444092aacf3aebf6c472ed1333720b1
Shell
deenario/shopping-cart-blockchain
/tribe-network/organizations/fabric-ca/registerEnroll.sh
UTF-8
14,480
2.796875
3
[]
no_license
#!/bin/bash function createtribe1() { infoln "Enrolling the CA admin" mkdir -p organizations/peerOrganizations/tribe1.example.com/ export FABRIC_CA_CLIENT_HOME=${PWD}/organizations/peerOrganizations/tribe1.example.com/ set -x fabric-ca-client enroll -u https://admin:adminpw@localhost:7054 --caname ca-tribe...
true
a4a2afa56122e97976771fc0c0f4635121823f5e
Shell
emkp/CSE538_FinalProject
/src/data_gen/lib/att2fst.sh
UTF-8
145
2.796875
3
[]
no_license
FILES=./*.att for f in $FILES do echo "Processing $f file..." f2=${f%????} fstcompile --isymbols=ins.txt --osymbols=outs.txt $f $f2.fst done
true
b08885e913485283347cf0545edb6302dc115e6c
Shell
5GenCrypto/circ-obfuscation
/scripts/circuit-info.sh
UTF-8
1,838
3.640625
4
[]
no_license
#!/usr/bin/env bash # # Prints circuit info in latex for a CSV file containing info produced by # get-kappas.sh # set -e fname=${1:-kappas.csv} source "$(dirname "$0")/utils.sh" count=0 curname= curmode= printline () { row= if (( $((count % 2)) == 1 )); then row="\\rowcol" fi circ="\texttt{$...
true
ffb1c7fecd471042ed5a9b396f4faee7a31ed1a1
Shell
lucaregini/poplog
/prelinked-v15.65/pop/src/mksyscomp
UTF-8
1,327
3.203125
3
[ "LicenseRef-scancode-warranty-disclaimer", "MIT" ]
permissive
#!/bin/sh # --- Copyright University of Sussex 2008. All rights reserved. ---------- # File: C.unix/src/mksyscomp # Purpose: Build saved images for POPC, POPLINK and POPLIBR # Author: John Gibson, Jun 24 1988 (see revisions) # Usage: # mksyscomp [-d] [image ...] # where 'image' is popc,...
true
19f106eeb6937cf3469fd7ae1c45bb612ea32082
Shell
apioff/IPTUNNELS
/kvm.sh
UTF-8
21,960
3.09375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash red='\033[0;31m' green='\033[0;32m' yellow='\033[0;33m' plain='\033[0m' cur_dir=$(pwd) [[ $EUID -ne 0 ]] && echo -e "${red}Error:${plain} This script must be run as root!" && exit 1 [[ -d "/proc/vz" ]] && echo -e "${red}Error:${plain} Your VPS is based on OpenVZ, which is not supported." && exi...
true
424ed38796c88c172af4ebb0995059ba853b15f2
Shell
pfhchaos/dotfiles
/.config/bin/electricsheep-desktop
UTF-8
343
3.09375
3
[]
no_license
#!/bin/bash rundir="/run/user/$(id -u)/esdesk" case $1 in start) [ -d "$rundir" ] || mkdir "$rundir" echo $2 geometry="$(xrandr | grep "$2 " | sed -e 's:.* \([0-9]*x[0-9]*+[0-9]*+[0-9]*\).*:\1:')" xwinwrap -ni -g "$geometry" -s -b -ov -- $0 env WID &> /dev/null ;; env) XSCREENSAVER_WINDOW="$2" electricshee...
true
044ca1d0a060edf556999246dccbbb11b2d9017b
Shell
bringhurst/generate_random_files
/genrandom.sh
UTF-8
480
3.40625
3
[]
no_license
#!/bin/bash no_of_files=500000; file_counter=1; while [[ $file_counter -le $no_of_files ]]; do echo Creating file no $counter; if [ "$((RANDOM%100+1))" -lt "2" ] then exit fi if [ "$((RANDOM%100+1))" -lt "50" -a "$((RANDOM%100+1))" -gt "5" ] then mkdir random-dir.$file_counter ...
true
fe65c406750d8f789b29ac41f0139346857a11bf
Shell
orientationsys/nb_kb
/MySQLReplication/full-backup.sh
UTF-8
827
3.34375
3
[]
no_license
#!/bin/bash ###############Basic parameters########################## DAY=`date +%Y%m%d` Environment=$(/sbin/ifconfig | grep "inet addr" | head -1 |grep -v "127.0.0.1" | awk '{print $2;}' | awk -F':' '{print $2;}') USER="backup" PASSWD="bbvsbackup!@#" HostPort="3306" DATADIR="/var/www/jacky_bbv/backup/" MYSQL=`/usr/bin...
true
ae49c0b7c3540c40f96b2cdd8729e559a4e1b6f7
Shell
lisuke/repo
/archlinuxcn/refind-theme-dracula/PKGBUILD
UTF-8
1,015
2.78125
3
[]
no_license
# Maintainer: Kyle Rassweiler <dev at kylerassweiler dot ca> pkgname=refind-theme-dracula pkgver=1.0.0 pkgrel=2 pkgdesc="Simple theme inspired by the Dracula palette" arch=('any') url="https://github.com/rassweiler/refind-theme-dracula" license=('MIT') depends=('refind') source=("${url}/releases/download/${pkgver}/${p...
true
0b95aaa02d7c79001c01669666de164b59d2f0c9
Shell
kabo/lambda-comments
/deploy/cloudformation/cloudformation.sh
UTF-8
1,086
3.625
4
[ "ISC" ]
permissive
#! /bin/bash set -e if [ "$1" = "create" ]; then ACTION=create-stack elif [ "$1" = "update" ]; then ACTION=update-stack elif [ "$1" = "delete" ]; then ACTION=delete-stack else echo "Usage: $0 [create|update]" exit 1 fi TAG='lambda-comments' DIR=`cd $(dirname $0); pwd` BABEL_NODE=$DIR/../../node_modules/bab...
true
a719d8bb3cd2d8eefa6f219407ae72f8edec688e
Shell
jaredballou/linuxgsm
/functions/logs.sh
UTF-8
2,041
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash # LGSM logs.sh function # Author: Daniel Gibbs # Website: http://gameservermanagers.com # Description: Acts as a log rotater, removing old logs. local modulename="Log Manager" if [ -n "${consolelog}" ]; then if [ ! -e "${consolelog}" ]; then touch "${consolelog}" fi fi # log manager will active if fi...
true
cd4e5da569fddfcce9ddca1e2f47014bedb7564a
Shell
mbencherif/forced-alignment
/train_rl.sh
UTF-8
349
2.640625
3
[ "MIT" ]
permissive
#!/bin/bash declare -a languages=("de" "fr" "it" "en") declare -a features=("mfcc" "mel" "pow") for feature_type in "${features[@]}" do for lang in "${languages[@]}" do echo "training on ${features} features of speech segments with language=${lang}" python ./src/train_brnn.py -c rl -l $lang -...
true
daa1b95b55a46063679598418874d32498264feb
Shell
rickypc/dotfiles
/bin/json-uglifier
UTF-8
1,025
2.953125
3
[ "MIT" ]
permissive
#!/bin/bash # JSON Uglifier - Remove whitespaces from JSON document. # Copyright (C) 2008-2015 Richard Huang <rickypc@users.noreply.github.com> # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU Affero General Public License as # published by the Fr...
true
069e00c976d5cf40f830ae820751753acc6e650d
Shell
DingGuodong/LinuxBashShellScriptForOps
/functions/system/getLinuxDmesg.sh
UTF-8
455
2.875
3
[]
no_license
#!/bin/sh # Refer to: http://blog.csdn.net/wzb56_earl/article/details/50625705 uptime_ts=`cat /proc/uptime | awk '{ print $1}'` dmesg | awk -v uptime_ts=${uptime_ts} 'BEGIN { now_ts = systime(); start_ts = now_ts - uptime_ts; #print "system start time seconds:", start_ts; #print "system start time:", st...
true
b1de9a225214313f1d863b7c9880a9e0e0f93abf
Shell
RafaelAPB/blockchain-integration-framework
/weaver/tests/network-setups/fabric/dev/scripts/envVar.sh
UTF-8
2,951
3.4375
3
[ "Apache-2.0", "CC-BY-4.0" ]
permissive
# # Copyright IBM Corp All Rights Reserved # # SPDX-License-Identifier: Apache-2.0 # # This is a collection of bash functions used by different scripts #NWPATH="$1" #P_ADD="$1" export NW_NAME="$3" export CORE_PEER_TLS_ENABLED=true export ORDERER_CA=$NW_PATH/ordererOrganizations/${NW_NAME}.com/orderers/orderer.${NW_NA...
true
1c504e891752791c73186b90dcb893a5097f1116
Shell
chraac/lua.js.test
/gen.xcode.sh
UTF-8
247
2.703125
3
[]
no_license
#!/bin/bash path=$(dirname $0) path=${path/\./$(pwd)} cmake_file_path=${path}/ output_path=${path}/cmake/ mkdir -p ${output_path} cd ${output_path} cmake -G Xcode -DCMAKE_TOOLCHAIN_FILE=${cmake_file_path}/iOS.cmake ${cmake_file_path} cd ${path}
true
9df6c00274b5a92eaf6c01dac8a89c9e1a892ace
Shell
jbarn16/repo.plugin.video.9anime
/updateLatest.sh
UTF-8
549
2.71875
3
[]
no_license
#!/bin/bash set -e git checkout master git remote update origin git reset --hard origin/master NEW_VERSION=`python2 updateLatest.py` BRANCH_NAME=version-${NEW_VERSION} git checkout -b ${BRANCH_NAME} python2 kodi-addons/addons_xml_generator.py git add plugin.video.9anime git add addons.xml git add addons.xml.md5 git...
true
d8047ecf19dec110fee138be7138a5e0bceb38d3
Shell
openshift/ironic-image
/prepare-ipxe.sh
UTF-8
635
3.078125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # prepare-ipxe copies the right images to /tftpboot, later when the # shared volume is created, rundnsmasq will copy them there to # /shared/tftpboot. We do this as a two-step operation to ensure all # the expected images are available at build-time. Otherwise the CI # jobs that build these images could s...
true
cdc1a40252537cfb25f20abbdf4c62f30fdaa8ce
Shell
soochoe/visual-compatibility
/data/amazon/prepare_dataset.sh
UTF-8
191
3.046875
3
[ "MIT" ]
permissive
dir="dataset" metadata="metadata.pkl" if [ ! -f "$metadata" ]; then cd utils python parse_metadata.py cd .. fi if [[ ! -e "$dir" ]]; then cd utils; python create_dataset.py; cd .. fi
true
7044e935d19d93a8775f797961c0aa69f67502ab
Shell
yeasy/code_snippet
/security/openssl/gen_certs.sh
UTF-8
2,109
3.375
3
[]
no_license
#!/bin/bash echo "===Generate a self signed certificate as the CA" [ -f ca.crt ] || openssl req -nodes -newkey rsa:2048 -subj "/C=US/ST=State/L=Location/O=OrgName/OU=IT Department/CN=ca" -keyout ca.key -x509 -days 365 -out ca.crt #echo "Review genrated certificate" #openssl x509 -text -noout -in ca.crt echo "===Gene...
true
56bb976bbebf2c54bd1b32648b1860494f3ceb38
Shell
koolnube84/Stocks
/Scripts/a.sh
UTF-8
534
3.5
4
[]
no_license
clear cd ~/Desktop/Stocks echo "$(tput setaf 2)[System]$(tput sgr0) Starting a.sh" echo "$(tput setaf 2)[System]$(tput sgr0) Press Any Key to exit" while [ true ] ; do read -t 1 -n 1 if [ $? = 0 ] ; then echo "" echo "$(tput setaf 2)[System]$(tput sgr0) pull.sh stopped by user" exit ; else cd L...
true
0599376097ef713c40c8e8fe021d17a76361b0cd
Shell
ericbutters/bashscripts
/setlinker.sh
UTF-8
349
3.53125
4
[]
no_license
#!/bin/bash LD="/usr/bin/ld" GOLD="/usr/bin/ld.gold" DEF="/usr/bin/ld.bfd" if [ -z "$1" ]; then echo "no linker passed.. exit." exit 1 fi if [ -h "$LD" ]; then sudo rm $LD else echo "no symbolic link for ld found.. exit." exit 2 fi if [ "$1" == "gold" ]; then sudo ln -s $GOLD $LD else su...
true
1db6b7d0ce326a3b8be47514c5e571e5bb6eb56b
Shell
Tedgar20/XHTML-To-CSV
/XHTML2CSV.sh
UTF-8
1,583
3.125
3
[]
no_license
#/bin/bash touch weather.csv echo "state,city,weather,temperature,humidity,pressure" > weather.csv while true; do NY=`date '+%Y-%m-%d-%H-%M-%S'`-NY.html `touch ${NY}` echo `curl -L https://forecast-v3.weather.gov/point/40.78,-73.97` > ${NY} #NY, New York `java -jar tagsoup-1.2.1.jar --files ${NY}` CA=`date ...
true
d1035036dc13ff34d393ced101a5f1881de4aa0a
Shell
sboosali/configuration
/home-manager/init/sboo-init-gpg.sh
UTF-8
6,279
3.421875
3
[ "MIT" ]
permissive
#!/bin/bash set -e ################################################## command -v gpg gpg --version #TODO check ≥2.1.17 ################################################## GPG_USER_ID='samboosalis@gmail.com' ################################################## gpg --full-generate-key #############...
true
49920053de57fd0f262207223fc98ad364351895
Shell
dexterous/dotfiles
/home/bin/show-repos
UTF-8
244
2.5625
3
[]
no_license
#!/bin/bash -e #set -o xtrace find ${1-.} -maxdepth 3 -type d -name .git \ -exec echo {} \; \ -exec echo '================' \; \ -execdir git remote update \; \ -execdir git log --oneline --graph ..@{upstream} \; \ -exec echo '' \;
true
841dbe1fedeb02bd356cfba2f90a8516a1c95c51
Shell
nsadriano/Projeto-DevOps-jankins-Ansible-Git-Docker-Zabbix
/install.sh
UTF-8
1,710
3.546875
4
[]
no_license
#!/bin/bash ################### #instalando Docker-CE if ! grep -q "docker" /etc/apt/sources.list /etc/apt/sources.list.d/*; then echo "Adicionar chave GPG oficial do Docker" curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - #Use o seguinte comando para configurar o repositório estáve...
true
3998743eaf2d0a916b6e35d57af271a64f4d95ea
Shell
kjsanger/containers
/singularity/scripts/singularity-wrapper
UTF-8
5,574
4.125
4
[]
no_license
#!/bin/bash # # Copyright (C) 2023 Genome Research Ltd. All rights reserved. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later ve...
true
3d21f5ca37b35cc1f359e806e2606fbb8e006170
Shell
mina-sadek/ROS-dev
/catkin_ws_crt.sh
UTF-8
598
3.65625
4
[]
no_license
#!/usr/bin/env sh starting_dir="$PWD" home_dir="$HOME" echo home_dir:$home_dir #1. If catkin workspace doesn't exist, Create a catkin workspace if [ ! -d "$home_dir/catkin_ws/src" ]; then # Control will enter here if $DIRECTORY doesn't exist. echo "Creating a catkin workspace @ $home_dir/catkin_ws" cd ~ mkdir...
true
23ef2a5115c9f8d0f305a991cbe17e7c0196a617
Shell
bytedance/fedlearner
/deploy/scripts/rsa_psi/run_raw_data_partitioner.sh
UTF-8
2,088
2.59375
3
[ "LicenseRef-scancode-proprietary-license", "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2020 The FedLearner Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless requir...
true
4eeaed191ff94b887487baa16414defb0acc9a53
Shell
uw-dims/ansible-dims-playbooks
/roles/git-ssh/templates/git-shell-commands/newrepo.j2
UTF-8
7,284
3.4375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # # vim: set ts=4 sw=4 tw=0 et : # # {{ ansible_managed }} # # Copyright (C) 2014-2017, University of Washington. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # # 1. Redistributions o...
true
75f66225a4ff794d7bce6f7e9012c2a0767604ec
Shell
AugurProject/augur
/support/install.sh
UTF-8
8,927
3.84375
4
[ "MIT", "GPL-1.0-or-later" ]
permissive
#!/usr/bin/env bash make_docker_compose() { cat << 'EOF' > "${PWD}/augur/docker-compose.yml" version: '3.7' services: augur: image: augurproject/augur:runner restart: always ports: - 9001:9001 - 9002:9002 - 9003:9003 - 9004:9004 volumes: - ./keys:/keys environment...
true
6997592820598eb0f0d231785c0e1d968e3c9c8d
Shell
arnaudbos/.dotfiles
/extras.sh
UTF-8
2,025
2.65625
3
[ "ISC", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash ################################################ # Haskell ################################################ softcheck=`stat $HOME/.ghcup/env` if [ $? == 1]; then running "Downloading and installing Haskell's ghcup"; filler curl --proto '=https' --tlsv1.2 -sSf https://get-ghcup.haskell.org | sh ...
true
47410fbe4c1b534a431f42fe6464df4e5e1fad6b
Shell
adpartin/summit-test
/bsub3.sh
UTF-8
1,579
3
3
[]
no_license
#!/bin/bash #BSUB -P med106 #BSUB -W 2:00 #BSUB -nnodes 10 #BSUB -J Script2 # ---------------------------------------------- # This script uses more than 1 node. # ---------------------------------------------- # You first need to load the appropriate module! # module load ibm-wml-ce/1.7.0-2 echo "Bash version ${BASH...
true
3086d4d5e216601b899cd080848d40fcaca9ae51
Shell
Pokerpoke/dotfiles
/backup.sh
UTF-8
498
3.59375
4
[]
no_license
#!/usr/bin/env bash set -e RED='\033[0;31m' GREEN='\033[0;32m' BLUE='\033[0;34m' NC='\033[0m' # No Color SCRIPT_DIR=$(dirname $(readlink -f $0)) function backup() { if [ -f $1 ] then rsync $1 $2 echo "$1 backuped." else echo -e "${RED}File doesn't exists!$NC}" fi } backup ~/...
true
c2864da8586b9ed138dcb7c052d23e394b94b38f
Shell
alexlenk/deepracer-for-dummies
/scripts/training/reset-restart-rounds.sh
UTF-8
484
2.578125
3
[]
no_license
#!/bin/bash if [ "$1" == "" ]; then echo "Error: No Tar" exit fi ./stop.sh docker run -v ~:/mnt centos:latest rm -rf /mnt/deepracer-for-dummies/docker/volumes/minio/bucket/rl-deepracer-pretrained docker run -v ~:/mnt centos:latest rm -rf /mnt/deepracer-for-dummies/docker/volumes/minio/bucket/rl-deepracer-sage...
true
5f57dff26c8bc311377f2ace7da3a485a9e2b9f8
Shell
sixpi/dotfiles
/system/path.zsh
UTF-8
435
3.15625
3
[ "MIT" ]
permissive
pathmunge() { if ! echo $PATH | /bin/grep -qE "(^|:)$1($|:)" ; then if [ "$2" = "after" ] ; then PATH=$PATH:$1 else PATH=$1:$PATH fi fi } pathmunge $ZSH/bin pathmunge $HOME/bin if [[ -d $HOME/anaconda/bin ]] then pathmunge $HOME/anaconda/bin fi pathmunge ./...
true
f15c81b2acaab91b6a5a72f8897686043ed2c104
Shell
rdickey/dotfiles
/bash_profile.linux.sh
UTF-8
2,826
3.09375
3
[]
no_license
# TODO: combine the common parts of bash_profile.linux and bash_profile.mac and only have the small differences in each #echo sourcing .bash_profile [[ -f /etc/profile ]] && . /etc/profile [[ -f ~/.aws.sh ]] && . ~/.aws.sh export EDITOR="/usr/bin/vim" export HISTFILESIZE=1048576 export LS_COLORS='no=00:fi=00:di=00;32:...
true
dac85c5121d1d83a0bdda1fa748911e1ace4abff
Shell
snort3/snort3_demo
/perf/3.0/mem_scale.sh
UTF-8
405
2.78125
3
[]
no_license
#!/bin/bash . ./setup.sh conf=$1 mpse=$2 max=$3 pcap=$4 echo "conf=$conf, cpu=$cpu, max=$max, pcap=$pcap" var="search_engine.search_method" pcaps="$pcap" for i in $(seq 2 $max) ; do pcaps+=" $pcap" done echo $i `$snort $args -c $conf -r "$pcaps" --lua "$var = '$mpse'" -z $max 2>&1 | \ grep "$runt" | grep ...
true
db9d304d665afc209709f00fdc80ec9942f4f0df
Shell
merryChris/blotus
/tools/del_ranged_imgs.sh
UTF-8
188
3.453125
3
[]
no_license
#!/bin/bash folder='ttt/' for (( i=${1}; i<=${2}; i++ )); do if [ -d "${folder}thread_${i}" ]; then rm -rf "${folder}thread_${i}" echo "Deleted Folder thread_${i}." fi done
true
60952a5bbc6fb31ae8c44fba8958b4524965700c
Shell
StartAt24/Python-Flask
/daemon
UTF-8
479
3.234375
3
[]
no_license
#!/bin/sh if [ $# -eq 0 ];then echo "usage: ./net2io n server.py " exit fi if [ ! -f $1 || -f $3 ];then echo "$1 not exsit or $3 not exsit" exit fi sudo ./$1 $2 & python3.4 $3 & while true ; do count=`ps -ef | grep $1| grep -v "grep" |grep -v "daemon" |wc -l` servercount = `ps -ef | grep $3| grep -v "grep" ...
true
1eeaff2dc790dcbbd857129a4945c09484ad7f4b
Shell
golangit/gobyexample-it
/examples/variabili-dambiente/variabili-dambiente.sh
UTF-8
435
2.671875
3
[ "CC-BY-3.0" ]
permissive
# Eseguendo il programma verrà stampato il valore di # `FOO`, impostato da noi nel sorgente, mentre il valore # di `BAR` sarà vuoto. $ go run environment-variables.go FOO: 1 BAR: # La lista di chiavi nell'ambiente dipenderà dal tuo # sistema TERM_PROGRAM PATH SHELL ... # Se prima di eseguire il programma assegnamo u...
true
635398be4c26cb0444f38900e8cbe621ac2da1de
Shell
mbreest/logstash-input-s3sqs
/ci/setup.sh
UTF-8
885
3
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e download_logstash() { logstash_version=$1 case "$logstash_version" in *-SNAPSHOT) wget https://snapshots.elastic.co/downloads/logstash/logstash-$logstash_version.tar.gz ;; *) wget https://artifacts.elastic.co/downloads/logstash/logstash-$logstash_version.tar.gz ;;...
true
7ffbc44f01fd8c95e777ddc38da81badc3d887a2
Shell
neobht/uird
/initrd/bin/pcimodules
UTF-8
256
3
3
[]
no_license
#!/bin/bash # list of all pci device modules KERNEL=$(uname -r) cat /proc/bus/pci/devices | while read junk1 id junk2; do v=0x0000${id%????} d=0x0000${id#????} cat /lib/modules/$KERNEL/modules.pcimap | grep "$v $d" | cut -d " " -f 1 done | sort -u
true
5f02c3d06ed420ed854606eb857b10d85f374ade
Shell
albarron/LumpSTS
/scripts/TRANS.computeCharSimFeatures.sh
UTF-8
3,443
2.578125
3
[]
no_license
#!/bin/bash JAR=/Users/albarron/workspace/LumpSTS/target/LumpSTS-0.0.1-SNAPSHOT.jar DEPENDENCIES=/Users/albarron/workspace/LumpSTS/target/dependency/* INPUT_PATH=/Users/albarron/workspace/LumpSTS/DATA ################ # CHAR N-GRAMS # ################ CLAZZ=cat.lump.sts2017.similarity.CharNgramsSimilarity ###### #...
true
9369fe24cf64c61b7a7195c2797d2e1ab7833387
Shell
mauodias/.v4
/playbooks/files/.tools/functions/git_scripts
UTF-8
1,129
3.25
3
[]
no_license
#!/bin/bash set_git_vars () { export GIT_USER_NAME=$USER export GIT_REPO_NAME=$(basename $(pwd)) export GIT_NAME="Maurício Dias" export GIT_EMAIL="mauricio@mauricio.cc" } set_git_remotes () { git remote set-url origin --add https://gitlab.com/${GIT_USER_NAME}/${GIT_REPO_NAME}.git git remote add origin-git...
true
ad4032ed379e9052d1ff655004224d5cd9b4b6ce
Shell
osandov/blktests
/tests/block/005
UTF-8
1,220
3.265625
3
[]
no_license
#!/bin/bash # SPDX-License-Identifier: GPL-3.0+ # Copyright (C) 2017 Jens Axboe # # Threads doing IO to a device, while we switch schedulers . tests/block/rc DESCRIPTION="switch schedulers while doing IO" TIMED=1 CAN_BE_ZONED=1 requires() { _have_fio } device_requires() { _require_test_dev_sysfs queue/scheduler }...
true
d26b0aae33f9aee034465fb1f778e76be3235ebf
Shell
wangpanqiao/CSD_Lfabarum
/src/convert_coord/convert_GFF_coord.sh
UTF-8
5,136
3.890625
4
[]
no_license
#!/bin/bash # This script converts the coordinates in an original GFF file to coordinates # corresponding to another assembly. It uses a correspondence file generated # by corresp_contigs.sh to retrieve contig coordinates in the new assembly. # Cyril Matthey-Doret # 02.11.2017 # Help message function usage () { cat...
true
25aa99f9cd89549afbb43c08a59dde2a225b1c8f
Shell
siyue1226/alt-splice
/Mus_musculus/cq.Spleen.sh
UTF-8
5,860
2.75
3
[]
no_license
#!/bin/bash start_time=`date +%s` ### bash hints ### 2>&1 redirect stderr to stdout ### | tee -a log.log screen outputs also append to log file ### ; ( exit ${PIPESTATUS} ) correct program exitting status ### Only run parallel when you're sure that there are no errors. cd /home/wa...
true
eedfa1885f5c6f635329872e96213f4638027a8e
Shell
godane/abs
/community/perl-file-mmagic/PKGBUILD
UTF-8
877
2.90625
3
[]
no_license
pkgname="perl-file-mmagic" pkgver="1.27" pkgrel=1 pkgdesc="Guess file type" arch=(any) license=('PerlArtistic') url="http://search.cpan.org/dist/File-MMagic" depends=('perl') options=(!emptydirs) source=("http://search.cpan.org/CPAN/authors/id/K/KN/KNOK/File-MMagic-${pkgver}.tar.gz") md5sums=('4ffb13b6587888e6e455c2298...
true
7e1aba2f1e07074b2bd17ad3bd2233415a0e1a02
Shell
provingground-curly/buildFiles
/clapack.build
UTF-8
932
3.109375
3
[]
no_license
# -*- sh -*- # get the tarball wget http://www.netlib.org/clapack/clapack-@VERSION@.tgz && # untar tar xvzf clapack-@VERSION@.tgz && cd CLAPACK-@VERSION@ && # update the make.inc file sed -e 's/PLAT = _LINUX/PLAT =/' -e 's/CFLAGS = -O3/CFLAGS = -O3 -fPIC/' make.inc.example > make.inc && # build f2c make f2clib...
true
2cb872cc58dfe37a0f4f666aaafba3633939a627
Shell
smititelu/ntfsheurecovery
/bin/nhrdb-diff.sh
UTF-8
6,223
3.234375
3
[ "ISC" ]
permissive
#!/bin/sh DEF_LDB=ntfsheurecovery-old.db DEF_RDB=ntfsheurecovery.db usage () { APPNAME=$(basename "$0") echo "ntfsheurecovery DB diff Usage: $APPNAME -h $APPNAME [-l <left DB>] [-r <right DB>] Options: -l <left DB> Specify left database file for comparison (def: $DEF_LDB) -r <right DB> Specify right data...
true
5ff41fb0b58fe2d88c82314c68587dd9a869afd4
Shell
ncbo/virtual_appliance
/deployment/versions
UTF-8
830
3.0625
3
[]
no_license
#!/bin/bash # This file contains a list of variables as sourced in the deployment wrapper scripts # <component>_RELEASE corresponds to the version of a component such as UI or API # installed in the virtual appliance # RELEASE numbers have to be compatible with this verision of the appliance stack # # general settings...
true
8100ec9ec81f5c4aa246465a7a9bfd15dc15c2e5
Shell
rdk/PointSite_Assessment
/programs/pointsite_merge.sh
UTF-8
3,763
3.3125
3
[]
no_license
####### define the main_root of PointSite here !!!!! ######## #PointSite_HOME=/home/wangsheng/GitBucket/ #============== global variables defined here ========= # start declare PointSite_HOME #-> root directory if [ -z "${PointSite_HOME}" ] then #echo "PointSite_HOME not set. Use default value '~/GitBucket'"...
true
927d0d1131a2b7be7e35af46ad6194ad7d3dd95c
Shell
doctolib/master-chef
/cookbooks/graphite/templates/default/carbon_init_d.erb
UTF-8
1,092
3.359375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e ### BEGIN INIT INFO # Provides: carbon # Required-Start: # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: carbon ### END INIT INFO PID_FILE="<%= @graphite_directory %>/storage/carbon-cache-a.pid" cd <%= @graphite_directory %> <% if @whisper_dev_shm_size %> mkdir -p /dev/...
true
b5b351716a3b239ff8f0c016034e0d567a16d925
Shell
oliverroick/nea
/deploy.sh
UTF-8
1,464
3.90625
4
[ "MIT" ]
permissive
#!/bin/bash PROFILE="default" STAGE="dev" while [ "$1" != "" ]; do IFS='=' read -r -a arg <<< "$1" case ${arg[0]} in --email ) EMAIL=${arg[1]} ;; --stage ) STAGE=${arg[1]} ;; --profile ) PROFILE=${arg[1]} ...
true
d70b3af1413492e720a32c67de0601d7b5e3350c
Shell
tahmmee/toastty
/scripts/clean.sh
UTF-8
1,827
3.71875
4
[]
no_license
#!/bin/bash CLIENT=$1 cleanup_session() { session=$1 # kill session tmux kill-session -t $session 2>/dev/null || true # get testrunner id testrunner_id=$(docker logs $session | grep exec | awk '{print $6}' | head -1) # cleanup toastty docker rm -fv $session 2>/dev/null if [ -z "$testrunner_id" ]; then e...
true
89a95958978d14a3a57a9ccf7a8bf6f4d623ab5c
Shell
YRXING/envoyingresscontroller
/tests/performance/scripts/update_configmap.sh
UTF-8
2,016
3.25
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright 2019 The KubeEdge Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable ...
true
f01a0dbfd89ec786974462992ba81fcc6f62e825
Shell
danielhoherd/homepass
/RaspberryPi/homepass.sh
UTF-8
1,996
3.21875
3
[]
no_license
#!/usr/bin/env bash # HeadURL: https://github.com/danielhoherd/homepass/blob/master/RaspberryPi/homepass.sh CONFIG_FILE=/etc/hostapd/hostapd.conf RELAY_TIME=100 DB=/root/homepass.db service hostapd stop ; sleep 1 ; pkill hostapd ; sleep 1 ; pkill -9 hostapd while true ; do aps=() #aps+=( $(sqlite3 "${DB}" "selec...
true
361cccf90ce0d8d55758add6a378824174022309
Shell
rgve/LiveRNome
/171003_HiSAT2_ref_genome_build_JNS.sh
UTF-8
538
2.625
3
[]
no_license
#!/bin/bash #script to build reference genome for HiSAT2 #Made by Jonas N. Søndergaard #Made on 171003 #UPPMAX commands (Uppsala Multidisciplinary Center for Advanced Computational Science) #SBATCH -A uppmax_proj_number #SBATCH -p core #SBATCH -n 2 #SBATCH -t 3:00:00 #load packages. bioinfo-tools is loaded on uppma...
true
3204a62e675bb85bc609fa39dae17f4c26d321fa
Shell
rouxpn/raven
/scripts/setup_raven_libs
UTF-8
480
3.59375
4
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer", "BSD-2-Clause", "BSD-3-Clause" ]
permissive
#!/bin/bash #Tries to load raven's conda package, and activate raven_libraries try_use_raven_conda () { if test -e /opt/raven_libs/bin/conda; then export PATH="/opt/raven_libs/bin:$PATH" source activate raven_libraries fi } #Check for conda and activate raven_libraries if which conda 2> /dev/null; then ...
true
5f5c96a70dbba5ac9df8b1c760a493c6cabfdb0e
Shell
Cloudxtreme/dotfiles-26
/udev/rules/unused/camera.sh
UTF-8
382
3.0625
3
[ "Unlicense" ]
permissive
#!/bin/bash symlink="/dev/camera" mountpoint="/mnt/camera" photopath="$mountpoint/DCIM/100PHOTO/" # Wait for symlink. iter=0 while [ ! -e $symlink ] do sleep 0.5 iter=`expr $iter + 1` if [ $iter -gt 8 ] then exit fi done sudo mount -o uid=panther,gid=users $symlink $mountpoint export XAUTHORITY=/home/panther/....
true
ab65854c6765157b18fae29e290aed37cdd4b276
Shell
git-for-windows/MINGW-packages
/mingw-w64-pinentry/PKGBUILD
UTF-8
1,557
2.796875
3
[ "BSD-3-Clause" ]
permissive
# $Id$ # Maintainer: Yuui Tanabe <yuuitanabe@163.com> pkgbase=mingw-w64-pinentry _realname=pinentry pkgname=(${MINGW_PACKAGE_PREFIX}-${_realname}) pkgver=1.1.0 pkgrel=1 url="https://www.gnupg.org/software/pinentry/index.html" license=('GPL') pkgdesc='Collection of simple PIN or passphrase entry dialogs which utilize th...
true
bf051d8aacee73ca3542a4e0dddbab879ffc1612
Shell
Simon0910/eshop-cloud
/txt/03_03_redisc-单机集群启动关闭顺序
UTF-8
1,680
3.75
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # # Simple Redis init.d script conceived to work on Linux systems # as it does use of the /proc filesystem. # chkconfig: 2345 90 10 # description: Redis is a persistent key-value database REDISPORT1=7001 REDISPORT2=7002 REDISPORT3=7011 REDISPORT4=7022 EXEC=/usr/local/redis/bin/redis-server CLIEXEC=/usr/...
true
275edf032d31d15947f717fbbab5b19aedfd8109
Shell
flickr-downloadr/flickr-downloadr-gtk
/build-tools/deploy.sh
UTF-8
3,213
3.5625
4
[ "LicenseRef-scancode-free-unknown", "MIT" ]
permissive
SOURCE_BRANCH="source" REPO="https://github.com/flickr-downloadr/flickr-downloadr.github.io.git" SOURCEREPO="https://github.com/flickr-downloadr/flickr-downloadr-gtk.git" CIENGINE="appveyor" if [[ $GITHUB_WORKFLOW = 'ci cd' ]] then echo "The GITHUB_COMMIT_MESSAGE variable has a value of - ${GITHUB_COMMIT_MESSAGE}" ...
true
89447705001693953cc5b651cf4d86881ec5666a
Shell
lenary/lowrisc-toolchains
/generate-clang-meson-cross-file.sh
UTF-8
2,787
3.78125
4
[]
no_license
#!/bin/bash # Copyright lowRISC contributors. # Licensed under the Apache License, Version 2.0, see LICENSE for details. # SPDX-License-Identifier: Apache-2.0 ## generate-gcc-meson-cross-file.sh # # This generates a cross file to configure meson for cross-compiling with clang. # # Docs: https://mesonbuild.com/Cross-co...
true
db9847ca6be3b80b40527b4f6d662bd142ca8bf3
Shell
containernetworking/plugins
/plugins/main/windows/build.sh
UTF-8
308
3.421875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e PLUGINS=$(cat plugins/windows_only.txt) for d in $PLUGINS; do if [ -d "$d" ]; then plugin="$(basename "$d").exe" echo " $plugin" CXX=x86_64-w64-mingw32-g++ CC=x86_64-w64-mingw32-gcc CGO_ENABLED=1 \ $GO build -o "${PWD}/bin/$plugin" "$@" "$REPO_PATH"/$d fi done
true
b6eb6e0f76d03cf858449557b2ac3ebb2c4d2855
Shell
whatsondoc/Linux
/hpc/slurm/submission_scripts/parallel_find_and_calculate/parallel_find_launcher.sh
UTF-8
5,280
3.75
4
[]
no_license
#!/bin/bash # Wrapper script to launch parallel Find, file list aggregation & calculate total size from file list input # Intended to be used with Slurm, leveraging job arrays # This launcher script will submit Slurm job array for the parllel find execution, and dependencies for the aggregation and size calculation ta...
true
310b96c9814a091f292e416a1bf24cf0d0f436f3
Shell
proller/clickhouse-dev
/server_minimal.sh
UTF-8
242
2.5625
3
[]
no_license
#!/usr/bin/env bash set -e export BUILD_TYPE=${BUILD_TYPE="_minimal"} CUR_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) CMAKE_OS+=" -DENABLE_LIBRARIES=0 " . $CUR_DIR/cmake.sh $* . $CUR_DIR/make.sh clickhouse-bundle . $CUR_DIR/server.sh
true
dd67676a4ae2debc074093406a255ce6aa82af4b
Shell
k0smik0/saint_seiya_cosmo_fantasy__mining
/stats_generator/generate.sh
UTF-8
529
3.3125
3
[]
no_license
#!/bin/bash [ $# -lt 1 ] && exit 1 map_putters=() while IFS='' read -r line || [[ -n "$line" ]]; do stat_name="$line" class_name=$(echo $line | sed 's/ /_/g' | sed 's/\.//g') map_putter=$(echo "numericalClassesMap.put(\"$stat_name\",${class_name}.class);") map_putters=(${map_putters[@]} $map_putter) # e...
true
4cef2fb15cab22daea1c2001cec10583412d29e5
Shell
ZRouter/ZRouter
/contrib/autossh/autossh.host
UTF-8
678
3.390625
3
[]
no_license
#!/bin/sh # # Example script to start up tunnel with autossh. # # This script will tunnel 2200 from the remote host # to 22 on the local host. On remote host do: # ssh -p 2200 localhost # # $Id: autossh.host,v 1.6 2004/01/24 05:53:09 harding Exp $ # ID=username HOST=hostname.your.net if [ "X$SSH_AUTH_SOCK" = "X" ...
true
17de8214ee84210355d2c452e74d2edea50f948c
Shell
akankshreddy/Kaustav-CSE-LABS-and-Projects
/Sem04-Embedded-Systems-LAB/OTHERS/Assement Prep/damn2/kkk/OS/Lab2/script.sh
UTF-8
215
2.75
3
[]
no_license
echo the name of this script is $0 echo first argument us $1 echo a list of all the arguments is $* echo this script places the date into a temporary child echo called $1.$$ date >$1.$$ ls $1.$$ echo $firstname
true
6cb95868a6b87c235f21b854f244e3c92bae4f56
Shell
a2o/puppet-modules-a2o-essential
/modules/a2o_essential_linux_geoip/templates/install-geoip-database-free.sh
UTF-8
2,069
2.921875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ########################################################################### # a2o Essential Puppet Modules # #-------------------------------------------------------------------------# # Copyright (c) Bostjan Skufca # #---...
true
2fea5f75546cc7bd39f2a8fe11b0b5c32a7fe3ff
Shell
BCCH-MRI-Research-Facility/nii2dcm
/nii2dcm.sh
UTF-8
248
3.15625
3
[]
no_license
#!/bin/bash #Use medcon to convert a nifti file to dicom filename=$1 f=$(basename "$filename" | cut -d. -f1) mkdir "$f"_dcm ln -s $PWD/$filename $PWD/"$f"_dcm/. cd "$f"_dcm medcon -f $filename -split3d -c dicom #-o $PWD/"$f"_dcm/ cd ..
true
fbb778dc2b39a8b77c9278a16d7e920c87a92886
Shell
tooltwist/juiceconfig
/juice-client-nodejs/test/test-locally-using-mocha.sh
UTF-8
282
2.9375
3
[]
no_license
#d!b/in/sh export JUICE_CONFIG=file:::`pwd`/mocha-cli-config.json echo export JUICE_CONFIG=${JUICE_CONFIG} # # If files are specified, run just those tests # if [ "$#" != 0 ] ; then echo mocha $* mocha $* else echo mocha mocha-cli-tests mocha mocha-cli-tests fi
true
015d2b2b1484e05c8433e712e9efd40f0f52d132
Shell
daneharrigan/mci
/bin/setup
UTF-8
383
2.5625
3
[]
no_license
#!/bin/sh ENV=$1 ENV_FILE=.env.$ENV DBNAME=mci-$ENV cat <<EOF >> $ENV MCI_PUBLIC_KEY=X MCI_PRIVATE_KEY=X DATABASE_URL=DATABASE_URL=postgres:///$DBNAME?sslmode=disable MAILER_FROM=noreply@example.com MAILER_SUBJECT="MCI: Your Releases This Week" MAILGUN_API_KEY=X MAILGUN_DOMAIN=example.com MAILGUN_URL=https://api.mail...
true
c5215c4fbde65aa95e431861e48bf01c8223e94f
Shell
zutils/HelloWorld
/.circleci/files/roll_update.sh
UTF-8
717
3.359375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Note: This won't do anything if we are already deployed echo "Initializing Deployment and Service" minikube kubectl -- apply -f ~/HelloWorld/.circleci/files/service.yml minikube kubectl -- apply -f /tmp/modified_deployment.yml echo "Rolling update!" minikube kubectl -- rollout restart deployment...
true
92318b754da14a4b3bdd71fbb0bab71322fadca8
Shell
binarycodes/scripts
/deleteglob
UTF-8
535
4.09375
4
[]
no_license
#!/bin/zsh # written primarily to help delete certain files from a glob pattern # with confirmation to exclude certain ones function usage() { echo "Usage: actionFile <command/program> [pattern]glob\n" } function actionOnGlob() { for i in ${~2};do #i=$(readlink -f "$i") $1 $i 2>/dev/null zenity --question...
true
3ded83361c80721a091e09088944390fe8abcea3
Shell
HatPull/devtools
/scripts/git-clone-all.sh
UTF-8
621
3.796875
4
[ "Apache-2.0" ]
permissive
#/bin/bash #working dirctory is were the Makefile is #Include our helpers file (the . is short for an include in bash ) . scripts/helpers.sh for repository in $(cat repository.list.txt); do dir_name=$(repository_directory_name ${repository}) #If the repository directory does not exist, then clone the repo ...
true
3d5f1116a4c85132d540a0b033d028f4889403bf
Shell
mkrause/workflow
/workflow/util/configuration.sh
UTF-8
947
3.796875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash path_current="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" # https://stackoverflow.com/questions/59895 . "${path_current}/printing.sh" # https://stackoverflow.com/questions/9376904 find_up() { # Recursively list a file from current directory up the tree to root [[ -n $1 ]] || { echo "fi...
true
36a3a2863e055d7d04d7db318c08ee224824eae1
Shell
halvards/veewee
/templates/CentOS-6.0-x86_64-gnome/postinstall.sh
UTF-8
2,320
3.046875
3
[ "MIT" ]
permissive
#http://chrisadams.me.uk/2010/05/10/setting-up-a-centos-base-box-for-development-and-testing-with-vagrant/ date > /etc/vagrant_box_build_time cat > /etc/yum.repos.d/puppetlabs.repo << EOM [puppetlabs] name=puppetlabs baseurl=http://stahnma.fedorapeople.org/puppetlabs/6/\$basearch enabled=1 gpgcheck=0 EOM cat > /etc/...
true
a92b16b2bd5b1a6f7d042573091180afefbd40f5
Shell
roadnarrows-robotics/rnr-sdk
/Eudoxus/share/etc/init.d/eudoxus_shutter
UTF-8
3,580
3.671875
4
[ "MIT" ]
permissive
#!/bin/sh ### BEGIN INIT INFO # Provides: 3D sensor ROS publishing nodes via user push button. # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: 3D sensor ROS publishing nodes via user push button. # Description: The...
true
28b7d0f57f3d145684b3e74cbeeaaef74cfa8fe6
Shell
codexico/dotfiles
/scripts/installs/install_oh-my-zsh.sh
UTF-8
461
3.4375
3
[ "LicenseRef-scancode-warranty-disclaimer", "Unlicense" ]
permissive
#!/usr/bin/env bash # check zsh if [ "$SHELL" == "/bin/bash" ]; then echo "please install zsh first"; echo "try ./install_zsh.sh"; echo "aborting..."; elif [ "$SHELL" == "/usr/bin/zsh" ]; then echo "installing oh-my-zsh"; sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/too...
true
a2e23150204909247bc569430fa12e6b290ff5bb
Shell
jxyanglinus/settings-for-my-manjaro
/source-and-update.sh
UTF-8
601
3.546875
4
[]
no_license
#!/bin/bash echo "=======开始配置=======" inst='sudo pacman -S --noconfirm' APPSOURCE='https://mirrors.ustc.edu.cn/manjaro/stable/$repo/$arch' # 安装源 echo "是否更新软件源?(如果先前更新过了,可以不做这一步)[y/n]" read -r update if [ "$update" == "y" ];then sudo echo "Server = $APPSOURCE" > /etc/pacman.d/mirrorlist sudo cat ./archlinuxc...
true
c5948f5ff1d9bde6d32155e6b29804e8350cbc83
Shell
rylankasitz/CIS520Proj4
/mpi/run.sh
UTF-8
960
3.53125
4
[]
no_license
#!/bin/bash FILE_LOCATION="/homes/rylankasitz/cis520/Proj4/mpi" OUTPUT_LOCATION=$FILE_LOCATION/"output_files" RUNTIMES_FILE=$FILE_LOCATION/"runtimes.csv" THREADS=( 20 18 16 14 12 10 8 6 4 2 1 ) ITERATIONS=$1 cd $FILE_LOCATION make mkdir -p $OUTPUT_LOCATION rm $OUTPUT_LOCATION/* rm $RUNTIMES_FILE touch $RUNTIMES_FILE...
true
73aa0ba82636c8cf6a3dc6f030cff8d0e77ac1af
Shell
djemos/iso-creation-slackel
/initrd-scripts/usr-lib-setup/INSURL
UTF-8
7,749
3.609375
4
[]
no_license
#!/bin/sh TMP=/var/log/setup/tmp if [ ! -d $TMP ]; then mkdir -p $TMP fi . /usr/lib/setup/INCISO if [ -f $TMP/Punattended ]; then eval $(grep "^REMOTE_URL=" $TMP/Punattended) eval $(grep "^REMOTE_ROOT=" $TMP/Punattended) fi REMOTE_SERVER=$REMOTE_URL REMOTE_PATH=$REMOTE_ROOT while [ 0 ]; do rm -f $TMP/SeTDS $TMP...
true
9c48a92cb392a5264b7dd2724c1053a92f947022
Shell
nya3jp/icfpc2018
/gens/reassemble_line_assembler_small_flip.sh
UTF-8
496
2.65625
3
[]
no_license
#!/bin/bash cd "$(dirname "$0")/.." bazel build ... for n in `seq -f "%03g" 1 34`; do for z in 1 2; do ./bazel-bin/solver/solver \ --source data/models/FR${n}_src.mdl \ --target data/models/FR${n}_tgt.mdl \ --output a.nbt \ --line_assembler_flip_xz \ --line_assembler_x_divs 1 \ ...
true
dbfef21431645bf7b5697d5846f1a89a995277e7
Shell
benjamin-travis-summers/toys
/pkg/archive/ipfs-persist
UTF-8
1,898
3.859375
4
[]
no_license
#!/usr/bin/env bash set -e BUCKET=ipfs-archive-backups tmpfiles="" cleanup () { for tmp in $tmpfiles do rm -f $tmp done } trap cleanup EXIT persist () { block=$1 tmp="${block}.block" tmpfiles="$tmpfiles $tmp" ipfs block get "$block" >"$tmp" /usr/bin/aws s3 cp "$tmp" "s3://$BUCKET/block/$block" r...
true
d7310abef8de47fd31c5406c335d4d00630478c0
Shell
kopaka1822/Compressonator
/build/buildcli_linux_package.sh
UTF-8
5,093
3.09375
3
[]
permissive
#please make sure all the prerequisite packages - initsetup_ubuntu.sh are installed and build-buildCLI_ubuntu_cmake.sh is run successfully before running this script. set -x set -e # This is done to ensure the script works whether WORKSPACE is set or not # We assume this script is called from the root "compressonator...
true
9759f4964f3e5c6f6d66f0dbe96e973da4556fd1
Shell
orudge/ultimateblocks
/gcc-uni.sh
UTF-8
2,757
4.375
4
[]
no_license
#!/bin/sh # gcc-uni.sh # ---------- # By Matthew Leverton # # Builds a universal binary by a multi-step process to allow for individual # options for both architectures. Its primary use is to be used as a wrapper # for makefile based projects. # # Although untested, it should be able to build OS X 10.2 compatible bui...
true
c513b38876bab8bbd160a4c846632fbc63694d30
Shell
mgmarino/VMELinux
/installUniverseDriver.sh
UTF-8
2,650
4.46875
4
[]
no_license
#!/bin/sh # # Install script, this will grab most recent version # from the repo and install it. Repo changed to github # # Run (as root, from a temp directory): # # cd tmp # sh /path/to/installUniverseDriver.sh install # # name=universe version=newest FILEURL=https://github.com/mgmarino/VMELinux/tarball/master outpu...
true
2ff28985d8ab8cd5e80275a7c63b40e9f6e2e6dc
Shell
wang111chi/fenle
/sit/tests/preauth_done.sh
UTF-8
1,813
2.890625
3
[]
no_license
#!/bin/bash # 预授权完成 # 接收标准输入: # { # "id": "111111111110012017030100000013", # "bank_list": "20170301145608", # "bank_settle_time": "0301150700", # "pre_author_code": "096207", # ... # } input=$(cat -) status=$(echo $input | jq '.status') op=$(echo $input | jq '.op') if [ "$status" == 1 -a "$op" ...
true
bb731171e1069b8e044f00b7919eaeb31ed0b098
Shell
tropicloud-2k/submarine2
/bin/env.sh
UTF-8
1,693
3.21875
3
[]
no_license
# SUBMARINE -------------------------------------------------------------------- export user="submarine" export home="/submarine" export acme="$home/acme" export etc="$home/etc" export log="$home/log" export run="$home/run" export ssl="$home/ssl" export www="$home/www" # WP_DOMAIN ------------------------------------...
true
c918390240012aa9af2ae4ededd3130e2a8bcdd6
Shell
mazrk7/tf_playground
/vae/run_multi_model.sh
UTF-8
257
2.75
3
[ "MIT" ]
permissive
#!/bin/bash echo "Names: multi_$1_ldim$2" echo "VAE type is: $1" echo "Latent dim is: $2" echo "# of epochs is: $3" for NUM in `seq 0 1 9` do python train_multi_vae.py --name multi_$1_ldim$2 --index $NUM --vae_type=$1 --latent_dim=$2 --n_epochs=$3 done
true
eeb0ea039e0ef7dc513435b7670a5633ea7949e9
Shell
colinwilson/pfsense-kemp-cert-autoupdate
/kemp-cert-update.sh
UTF-8
2,488
3.640625
4
[]
no_license
#!/bin/sh # # Title: Auto-Update & Upload LetsEncrypt Certs to KEMP LoadMaster # Guide/Source: https://colinwilson.uk/2017/06/19/auto-update-ssl-certificates-on-kemp-loadmaster-via-pfsense-lets-encrypt/ # Created: 12/06/2017 # Update: 05/12/2018 # Author: Colin Wilson [https://github.com/colinwilson] # Vendor or Softw...
true
9af592d55d7562a06b34c316c0da986a17b7f88f
Shell
dilanacar/HCPpipelines
/PostFreeSurfer/scripts/Example_1res_inflate.sh
UTF-8
1,627
3
3
[]
no_license
#!/bin/bash source "${HCPPIPEDIR}/global/scripts/debug.shlib" "$@" # Debugging functions; also sources log.shlib #quick script to regenerate inflated 59k surfaces to match original HCP 32k #Example call: # . SetUpHCPPipeline.sh # StudyFolder=/data/Phase2_7T # Subject=102311 # T1wFolder="$StudyFolder"/"$Subject"/T1w...
true
ec9ea0975ae97500174b9e1e3efdc03da9e3ddc0
Shell
chr0n1x/ethos-systemd
/v1/lib/helpers.sh
UTF-8
775
3.515625
4
[]
no_license
#!/usr/bin/bash -x # Source the etcd if [ -f /etc/profile.d/etcdctl.sh ]; then source /etc/profile.d/etcdctl.sh; fi # Handle retrying of all etcd sets and gets function etcd-set() { etcdctl set "$@" while [ $? != 0 ]; do sleep 1; etcdctl set $@; done } function etcd-get() { etcdctl get "$@" # "0" a...
true
a14df420496cb524a62a536eeabdfaa8ab64d394
Shell
opencrowbar/core
/bin/ocb_regen_docs
UTF-8
441
3.390625
3
[]
no_license
#!/bin/bash if [[ $(whoami) != crowbar ]]; then su -l -c "$0" crowbar exit $? fi . /etc/profile shopt -s globstar nullglob if ! which yardoc &>/dev/null; then echo "YARD gem not installed." echo "Please install it to generate the developer documentation" exit 1 fi cd /opt/opencrowbar for d in **/...
true
864132ce173d18027699e3ebc554a2dda4e4c5cb
Shell
wlloyduw/lambda_test
/keep_alive_trigger/delete_permission.sh
UTF-8
541
3.84375
4
[]
no_license
# Can have up to 5 triggers for each event lambdaname=$1 if [ -z ${lambdaname} ] then echo "" echo "USAGE: " echo "./delete_permission.sh (lambda_function_name) " echo "" echo "Deletes cloudwatch event execute permissions for specified AWS Lambda function" echo "" echo "Provide parameters without quotat...
true
a43e6e000dbf811f48927ccbac60f53e7dea32bc
Shell
cedadev/slstr_calibration_ftp_retriever
/cron/data_retriever_run_cpa_viscal_s3a.sh
UTF-8
294
2.8125
3
[]
no_license
#!/bin/sh for days_ago in {0..5} do export month=`date -d $days_ago' days ago' +%m` export year=`date -d $days_ago' days ago' +%Y` export day=`date -d $days_ago' days ago' +%d` $GWS_PATH/software/slstr_calibration_ftp_retriever/download_viscal_ompc.sh S3A $year $month $day done
true